# Uses of Class
it.tdlight.jni.TdApi.ChatNearby

## Uses of TdApi.ChatNearby in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatNearby
Modifier and Type
Field
Description
`TdApi.ChatNearby[]`
TdApi.ChatsNearby.`supergroupsNearby`
List of location-based supergroups nearby.
`TdApi.ChatNearby[]`
TdApi.ChatsNearby.`usersNearby`
List of users nearby.
`TdApi.ChatNearby[]`
TdApi.UpdateUsersNearby.`usersNearby`
The new list of users nearby.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatNearby
Modifier
Constructor
Description
``
`ChatsNearby(TdApi.ChatNearby[] usersNearby, TdApi.ChatNearby[] supergroupsNearby)`
Represents a list of chats located nearby.
``
`UpdateUsersNearby(TdApi.ChatNearby[] usersNearby)`
The list of users nearby has changed.